function plotGCI(GCI)

E = length(GCI);
M = length(GCI{1});

for i =1:E
    m(i) = max(max(GCI{i}));
    m = max(m);
end

z=1;
for r=1:M
   for c=1:M
       if r ~= c
           subplot(M,M,z);
           for i=1:E
               area([i-0.5, i+0.5], ones(1,2)*GCI{i}(r,c))
               axis([0.5 E+0.5 0 m+0.1]);
               xlabel('Epochs');
               ylabel('GCI');
               hold on
           end
       end
       z=z+1;
   end
end

figure(2)
for i=1:E
    subplot(3,ceil(E/3),i)
    nodes=[];
%     nodes{1} = 'AD01';
%     nodes{2} = 'AD10';
%     nodes{3} = 'AD15';
    aks_plotcausality(GCI{i},1,nodes, i)
end